Bug 1486208 (CVE-2017-10840, CVE-2017-10841) - CVE-2017-10840 CVE-2017-10841 WebCalendar: Cross-site scripting and directory traversal issues
Summary: CVE-2017-10840 CVE-2017-10841 WebCalendar: Cross-site scripting and directory...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-10840, CVE-2017-10841
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1486209
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-29 08:37 UTC by Adam Mariš
Modified: 2019-09-29 14:19 UTC (History)
1 user (show)

Fixed In Version: WebCalendar 1.2.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:22:23 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-29 08:37:33 UTC
XSS and directory traversal issues were fixed in WebCalendar 1.2.8:

CVE-2017-10840:

* Cross-site scripting vulnerability in WebCalendar 1.2.7 and earlier allows an attacker to inject arbitrary web script or HTML via unspecified vectors.

CVE-2017-10841:

* Directory traversal vulnerability in WebCalendar 1.2.7 and earlier allows authenticated attackers to read arbitrary files via unspecified vectors.

References:

https://jvn.jp/en/jp/JVN23340457/index.html
https://github.com/craigk5n/webcalendar/releases/tag/v1.2.8
https://github.com/craigk5n/webcalendar/commit/9e5b06f4d1c55ff4faa6da5df5254511df7a586a

Comment 1 Adam Mariš 2017-08-29 08:37:53 UTC
Created WebCalendar tracking bugs for this issue:

Affects: fedora-all [bug 1486209]

Comment 2 Product Security DevOps Team 2019-06-08 03:22:23 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.